/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.asistenciaAniversario.Services;

import java.util.ArrayList;
import pe.siso.asistenciaAniversario.Beans.Asistencia;
import pe.siso.asistenciaAniversario.DAO.AsistenciaDAO;
import pe.siso.asistenciaAniversario.DAO.DAOFactory;

/**
 *
 * @author fcelestino
 */
public class AsistenciaServices {
    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    AsistenciaDAO objAsistenciaDAO = fabrica.getAsistenciaDAO();
    
    public Asistencia consultarAsistencia(String busqueda){
        Asistencia asis = new Asistencia();
        try {
            asis = objAsistenciaDAO.consultarAsistencia(busqueda);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return asis;
    }
    
    public ArrayList<Asistencia> consultarExistencia(String busqueda){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.consultarExistencia(busqueda);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public int registrarAsistencia(String codigoPersona){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.registrarAsistencia(codigoPersona);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public Asistencia consultarEstadosAsistencia(String codPerAsi){
        Asistencia asis = new Asistencia();
        try {
            asis = objAsistenciaDAO.consultarEstadosAsistencia(codPerAsi);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return asis;
    }
    
    public ArrayList<Asistencia> consultarDatosComision(String codper){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.consultarDatosComision(codper);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public String consultarDatosResponsable(String codResponsable){
        String dato = "";
        try {
            dato = objAsistenciaDAO.consultarDatosResponsable(codResponsable);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int registrarEntragaAlimentacion(String codAsis){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.registrarEntragaAlimentacion(codAsis);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int quitarAsistencia(String codAsis){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.quitarAsistencia(codAsis);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int quitarAlimentacion(String codAsis){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.quitarAlimentacion(codAsis);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public ArrayList<Asistencia> consultarExistenciaAsistencia(String busqueda, int inicio, int cantidad){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.consultarExistenciaAsistencia(busqueda, inicio, cantidad);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public int cantidadExistenciaAsistencia(String busqueda){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.cantidadExistenciaAsistencia(busqueda);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public ArrayList<Asistencia> reporteAsistenciaAlimentacion(){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.reporteAsistenciaAlimentacion();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public ArrayList<Asistencia> reporteAlimentacion(){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.reporteAlimentacion();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public int codigoDia(){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.codigoDia();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public int registrarExtras(String codDia, String resp, String des, String alm, String lon, String cen){
        int dato = 0;
        try {
            dato = objAsistenciaDAO.registrarExtras(codDia, resp, des, alm, lon, cen);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return dato;
    }
    
    public ArrayList<Asistencia> personalActivo(){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.personalActivo();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public ArrayList<Asistencia> reporteExtras(){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.reporteExtras();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }
    
    public ArrayList<Asistencia> consultarExistenciaAsistencia(String busqueda){
        ArrayList<Asistencia> lista = new ArrayList<Asistencia>();
        try {
            lista = objAsistenciaDAO.consultarExistenciaAsistencia(busqueda);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lista;
    }

}
